Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.ext.holders
Class SimpleStateHolder

    java.lang.Object
      com.bea.wsrp.ext.holders.SimpleStateHolder

All Implemented Interfaces
  InteractionRequestState, InteractionResponseState, MarkupRequestState, MarkupResponseState, Serializable

    public class SimpleStateHolder

extends Object
implements InteractionRequestState, InteractionResponseState, MarkupRequestState, MarkupResponseState

A convenience implementation to transport custom state between a Producer and Consumer.

You can use this implementation to represent custom state as named serializable objects.

See Also
  Serialized Form

Field Summary

Fields inherited from interface com.bea.wsrp.ext.holders.InteractionRequestState
`KEY`

Fields inherited from interface com.bea.wsrp.ext.holders.InteractionResponseState
`KEY`

Fields inherited from interface com.bea.wsrp.ext.holders.MarkupRequestState
`KEY`

Fields inherited from interface com.bea.wsrp.ext.holders.MarkupResponseState
`KEY`

Constructor Summary
`SimpleStateHolder()` Creates an instance.

Method Summary
`void` | `addParameter(String name, Serializable value)` Adds an attribute with the given name and value.
`void` | `clear()` Clears all attributes.
`Serializable` | `getParameter(String name)` Returns the value of an attribute given its name.
`Iterator` | `namesIterator()` Returns an iterator of names of attributes.
`Iterator` | `valuesIterator()` Returns an iterator of values of attributes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleStateHolder

    public SimpleStateHolder()

  Creates an instance.

Method Detail

### addParameter

    public void addParameter(String name,
                             Serializable value)

  Adds an attribute with the given name and value.

  Note that value must be serializable for transportability.

  Parameters
    `name` -
    `value` -

### getParameter

    public Serializable getParameter(String name)

  Returns the value of an attribute given its name.

  Parameters
    `name` -
  Returns
    value

### namesIterator

    public Iterator namesIterator()

  Returns an iterator of names of attributes.

  Returns
    iterator of names

### valuesIterator

    public Iterator valuesIterator()

  Returns an iterator of values of attributes.

  Returns
    iterator of values

### clear

    public void clear()

  Clears all attributes.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved